Bug 172452 - Files created on a samba share have wrong permissions
Files created on a samba share have wrong permissions
Status: CLOSED DUPLICATE of bug 172445
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-04 13:07 EST by Ashley Wise
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashley Wise 2005-11-04 13:07:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
I'm using samba to connect from linux to a Windows XP shared folder.

I can create new files in the folder from Linux, and I can copy (overwrite) existing files. However, whenever I open a file using the text editor (gedit), it opens in read-only mode.

I checked the permissions on the files, and all the files have 744 permissions (owner-write only). First, I should be the owner, since I created the file from the same NT login that I'm using the read the file from. And second, why would it let me overwrite the file (in order to achieve my edits, I have to copy the file to linux desktop, change, and then copy it back) if it's supposed to be read-only? The properties dialog won't let me change permissions on the file because permissions denied.

Version-Release number of selected component (if applicable):
samba-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. Connect to XP share from linux
2. create a new file
3. open the file
  

Actual Results:  File is read-only

Expected Results:  write has write permisions.

Additional info:
Comment 1 Christian Iseli 2007-01-22 05:51:30 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Simo Sorce 2007-03-14 17:50:18 EDT

*** This bug has been marked as a duplicate of 172445 ***

Note You need to log in before you can comment on or make changes to this bug.